> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update property definition



## OpenAPI

````yaml PATCH /properties/{propertyDefinitionId}
openapi: 3.0.3
info:
  title: Arbol API
  description: >-
    The Arbol API enables you to programmatically manage voice AI agents,
    contacts, conversations, campaigns, and more. Build powerful voice AI
    integrations with a developer-first REST API.
  version: 1.0.0
  contact:
    name: Arbol Support
    url: https://getarbol.com/support
  license:
    name: Proprietary
servers:
  - url: https://api.getarbol.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: Manage voice AI agents
  - name: Contacts
    description: Manage contacts and their details
  - name: Conversations
    description: Manage voice conversations and calls
  - name: Campaigns
    description: Manage batch outbound call campaigns
  - name: Phone Numbers
    description: Manage provisioned phone numbers
  - name: Properties
    description: Manage custom property definitions
  - name: Tools
    description: Manage agent tools and integrations
  - name: Documents
    description: Manage knowledge base documents
  - name: Organization
    description: Manage organization settings
paths:
  /properties/{propertyDefinitionId}:
    patch:
      tags:
        - Properties
      summary: Update property definition
      operationId: updatePropertyDefinition
      parameters:
        - name: propertyDefinitionId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePropertyDefinitionInput'
      responses:
        '200':
          description: Updated
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    UpdatePropertyDefinitionInput:
      type: object
      properties:
        identifier:
          type: string
        valueType:
          $ref: '#/components/schemas/PropertyValueType'
        options:
          type: array
          items:
            type: string
        prompt:
          type: string
        defaultValue:
          type: string
        agentIds:
          type: array
          items:
            type: string
    PropertyValueType:
      type: string
      enum:
        - STRING
        - NUMBER
        - BOOLEAN
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
        requestId:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your API key from the Arbol dashboard. Go to Settings > API Keys to
        generate one.

````